<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="main-model-organization content-header">
    <div class="main-model-organization__right">
      <mb-button *ngIf="objFunction.create" mbButtonType="NO_BORDER" (click)="openModal()" mbButtonSize="LARGE"
                 mbButtonText="{{'common.button.add' | translate}}" mbButtonAvailableStyle="PRIMARY">
      </mb-button>
    </div>
</div>
<div class="container-fluid">
    <div class="form">
        <div nz-row class="form-row">
            <div nz-col nzSpan="5" class="form-row__left">
                <div class="title-input">
                    <p class="form-row__label">Tên tiêu chí</p>
                    <p class="required"></p>
                </div>
                <input nz-input class="form-row__input" name="" placeholder="{{'Nhập tên tiêu chí' | translate}}"
                [(ngModel)]="objectSearch.criteria" (keyup)="onSearchCriteria($event)" nz-dropdown [nzDropdownMenu]="menuCriteria"/>
            </div>

            <div nz-col nzSpan="5" class="form-row__center">
                <div class="title-input">
                    <span nz-typography class="form-row__label">Thuộc tính</span>
                    <p class="required"></p>
                </div>
                <input nz-input class="form-row__input" name="" placeholder="{{'Nhập tên thuộc tính' | translate}}"
                [(ngModel)]="objectSearch.attribute" (keyup)="onSearchAttribute($event)" nz-dropdown [nzDropdownMenu]="menuAttribute"/>
            </div>

            <div nz-col nzSpan="5" class="form-row__button">
               <mb-button mbButtonAvailableStyle="DEFAULT" [buttonColorPink]="true"
                         mbButtonText="{{'common.label.search' | translate}}" (click)="onSearch()"></mb-button>
            </div>
        </div>
    </div>


    <div nz-row class="template">
        <div class="jd-table ant-table-content" nz-col nzSpan="24">
            <nz-table #basicTable [nzData]="jobDataTable.length ? jobDataTable : []" [nzFrontPagination]="false" [nzSize]="TABLE_SIZE"
                [nzShowPagination]="false" [nzScroll]=" jobDataTable.length > 7 ? { y: '50vh' } : {}">
                <thead>
                    <tr>
                        <th scope="col" nzWidth="5em" nzLeft>
                            STT
                        </th>
                        <th scope="col">Tên tiêu chí</th>
                        <th scope="col">Thuộc tính</th>
                        <th scope="col"  nzWidth="7em" nzRight>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of jobDataTable; let i = index" (dblclick)='onEdit(item.criteriaId)'>
                        <td nzLeft>
                            {{(pagination.size * (pagination.currentPage - 1)) + (i+1)}}
                        </td>
                        <td nz-tooltip [nzTooltipTitle]="item.criteria" class="wrap-text">
                            {{item.criteria}}
                        </td>
                        <td nz-tooltip [nzTooltipTitle]="item.attribute" class="wrap-text">
                            {{item.attribute}}
                        </td>
                        <td nzRight>
                            <div class="jd-table__action">
                                <button nz-button nzType="default" class="jd-table__action--button"
                                    (click)="showConfirm(item.lvaId)">
                                    <img alt="" src="assets/images/icon/project-delete.svg">
                                </button>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </nz-table>
            <div class="pagination">
                <div class="pagination__table-info">
                    <img alt="" class="pagination__table-info--icon" src="../../../../../assets/images/icon/idea.svg">
                    <span class="pagination__table-info--text">Tìm thấy {{pagination.totalElements}} kết quả, hiển thị từ
                        {{pagination.numberOfElements ? ((pagination.size * (pagination.currentPage - 1)) + 1) : 0}} đến
                        {{(pagination.size *
                        (pagination.currentPage - 1)) + pagination.numberOfElements}}</span>
                </div>
                <nz-pagination [(nzPageIndex)]="pagination.currentPage" [nzTotal]="pagination.totalElements"
                    [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon">
                </nz-pagination>
            </div>
        </div>
    </div>
</div>

<ng-container>
    <nz-dropdown-menu #menuCriteria="nzDropdownMenu">
        <div class="job-search">
            <ul nz-menu *ngFor="let item of dataSelectCriteriaSearch">
                <li nz-menu-item (click)="chooseSearchCriteria(item.criteria)">{{item.criteria}}</li>
            </ul>
        </div>
    </nz-dropdown-menu>
</ng-container>

<ng-container>
    <nz-dropdown-menu #menuAttribute="nzDropdownMenu">
        <div class="job-search">
            <ul nz-menu *ngFor="let item of dataSelectAttributeSearch">
                <li nz-menu-item (click)="chooseSearchAttribute(item.attribute)">{{item.attribute}}</li>
            </ul>
        </div>
    </nz-dropdown-menu>
</ng-container>

<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
    [nzStyle]="{ width: '60vw' }" (nzOnCancel)="handleCancel()" class="modal-create" [nzMaskClosable]="false">
    <ng-template #modalTitle>
        <span class="title-modal">Tiêu chí dự án</span>
    </ng-template>

    <ng-template #modalContent>
        <app-project-criteria-init (submitClick)="closeModal($event)" [id]="idSelected" [view]="view">
        </app-project-criteria-init>
    </ng-template>

    <ng-template #modalFooter>
        <p></p>
    </ng-template>
</nz-modal>
